from pathlib import Path

import pytest

from um_ro_calendar.form_parser import FormParser


def test_process_fall_2022():
    html_file = Path(__file__).parent / "data" / "sample-fall2022-accal.html"
    parser = FormParser()
    html = open(html_file).read()
    features = parser.process_output(html)

    assert features.academic_calendar_option.value == "1"
    assert features.registration_calendar_option.value == "2"
    assert len(features.term_options) == 22


def test_missing_form():
    html = "<html></html>"
    parser = FormParser()

    with pytest.raises(ValueError):
        parser.process_output(html)
